cURL
curl --request POST \
--url https://api.surnex.io/v1/geo/snapshots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location_code": 123,
"language_code": "<string>",
"targets": [
{
"value": "<string>"
}
],
"options": {
"include_top_domains": false,
"include_top_pages": false,
"include_evidence_rows": false
}
}
'import requests
url = "https://api.surnex.io/v1/geo/snapshots"
payload = {
"location_code": 123,
"language_code": "<string>",
"targets": [{ "value": "<string>" }],
"options": {
"include_top_domains": False,
"include_top_pages": False,
"include_evidence_rows": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
location_code: 123,
language_code: '<string>',
targets: [{value: '<string>'}],
options: {
include_top_domains: false,
include_top_pages: false,
include_evidence_rows: false
}
})
};
fetch('https://api.surnex.io/v1/geo/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshot_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "queued"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request",
"request_id": "req_123",
"details": {
"issues": [
{
"path": [
"platform"
],
"message": "Invalid enum value"
}
]
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"request_id": "req_123",
"details": {
"reason": "missing_or_invalid_api_key"
}
}
}{
"error": {
"code": "PROVIDER_ERROR",
"message": "Failed to discover DataForSEO operations",
"request_id": "req_123",
"details": {
"service": "serp",
"provider_error": {
"code": "BAD_REQUEST",
"message": "Discovery endpoint failed"
}
}
}
}v1
Post v1geosnapshots
POST
/
v1
/
geo
/
snapshots
cURL
Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer sk_...
Body
application/json
⌘I